Subject: Re: [DNSOP] draft-hsyu-message-fragments replacement status updated by Cindy Morgan

From: Mukund Sivaraman <[email-masked]>
Date: Sun, 1 May 2022 11:56:30 +0530

Hi Brian

On Sun, May 01, 2022 at 02:11:11PM +1200, Brian E Carpenter wrote:
[snip]
> > The copyright notice on the document says:
> > 
> >     Copyright (c) 2022 IETF Trust and the persons identified as the
> >     document authors.  All rights reserved.
> > 
> > By way of this, by removing the names of authors, isn't the copyright
> > notice attributed to the (original) document authors also being removed?
> 
> I am not a lawyer, but I believe it's true that *nobody* can remove the
> original authors' copyright (although the details might differ in each
> country's laws). However, the point here is that when an IETF I-D is
> submitted, it is done so under the IETF's conditions, including the
> IETF's right to produce "derivative works". The details are in BCP98
> (RFC5378) and in the IETF Trust's Legal Provisions, but basically it
> means that the text can be re-used in future IETF drafts and RFCs.

The permission to modify and/or redistribute is not being
questioned. It's the removal of authors, and what appears to be removal
of copyright attribution also. Your draft's text sounds reasonable on
this topic.

> > Clearly the text is not copyright of the new authors in this document:
> 
> I wonder if the conventional sentence "Copyright (c) 2022 IETF Trust and
> the persons identified as the document authors" needs to be tuned to
> also cover previous authors when the authorship team for a draft changes?
> But that question is for the IETF Trust and its lawyer.

Nod, this has to be examined.

		Mukund